### Enumeration

# Gtk PropagationPhase

#### Declaration

    enum Gtk.PropagationPhase

#### Description [src]

Describes the stage at which events are fed into a `GtkEventController`.

#### Members

`GTK_PHASE_NONE`

  Events are not delivered.

  - Value: `0`
  - Nickname: `none`
  - Available since: 4.0
`GTK_PHASE_CAPTURE`

  Events are delivered in the capture phase. The capture phase happens before the bubble phase, runs from the toplevel down to the event widget. This option should only be used on containers that might possibly handle events before their children do.

  - Value: `1`
  - Nickname: `capture`
  - Available since: 4.0
`GTK_PHASE_BUBBLE`

  Events are delivered in the bubble phase. The bubble phase happens after the capture phase, and before the default handlers are run. This phase runs from the event widget, up to the toplevel.

  - Value: `2`
  - Nickname: `bubble`
  - Available since: 4.0
`GTK_PHASE_TARGET`

  Events are delivered in the default widget event handlers, note that widget implementations must chain up on button, motion, touch and grab broken handlers for controllers in this phase to be run.

  - Value: `3`
  - Nickname: `target`
  - Available since: 4.0